Upgrading Core JSP Hooks

Getting a core JSP hook running on Liferay DXP 7.0 takes two steps:

  1. Adapt your code to Liferay DXP 7.0’s API using the Liferay Upgrade Planner. When you ran the planner’s Fix Upgrade Problems step, many of the existing issues were autocorrected or flagged. For any remaining errors, consult the Resolving a Plugin’s Dependencies article.

  2. Deploy your hook plugin.

Liferay DXP’s Plugin Compatibility Layer converts the plugin WAR to a Web Application Bundle (WAB) and installs it to Liferay’s OSGi Runtime.

It’s just that easy!

JSP Overrides Using Custom JSP Bags

Upgrading App JSP Hooks

Resolving a Plugin’s Dependencies

Upgrading the Liferay Maven Build

Was this article helpful?
0 out of 0 found this helpful